#!/bin/sh

JPRM="jprm"

PLUGIN=Jellyfin.Plugin.SmartPlaylist
VERSION=$(grep -Po '^ *version: * "*\K[^"$]+' "${PLUGIN}/build.yaml")
ARTIFACT_DIR=artifacts
REPO_URL="https://gitea.redxef.at/redxef/jellyfin-smart-playlist/releases/download/v${VERSION}/jellyfin-smart-playlist_${VERSION}.dll"

mkdir -p "${ARTIFACT_DIR}"
find "${PLUGIN}" -name project.assets.json -exec rm -v '{}' ';'

zipfile=$($JPRM --verbosity=debug plugin build "${PLUGIN}" --output="${ARTIFACT_DIR}" --version="${VERSION}") && {
    $JPRM --verbosity=debug repo add --plugin-url="${REPO_URL}" . "${zipfile}"
}
exit $?
